Bug 995639 - [abrt] speech-dispatcher-0.8-3.fc19: pthread_cancel: Process /usr/lib64/speech-dispatcher-modules/sd_festival was killed by signal 11 (SIGSEGV)
[abrt] speech-dispatcher-0.8-3.fc19: pthread_cancel: Process /usr/lib64/speec...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: speech-dispatcher (Show other bugs)
20
x86_64 All
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
abrt_hash:df6af9fd2da61402ad68d96bbe9...
: CommonBugs
: 1048739 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-09 19:07 EDT by Peter Gückel
Modified: 2014-12-22 10:58 EST (History)
102 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1059850 (view as bug list)
Environment:
Last Closed: 2014-11-13 13:07:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (4.99 KB, text/plain)
2013-08-09 19:07 EDT, Peter Gückel
no flags Details
File: cgroup (182 bytes, text/plain)
2013-08-09 19:07 EDT, Peter Gückel
no flags Details
File: core_backtrace (1.68 KB, text/plain)
2013-08-09 19:08 EDT, Peter Gückel
no flags Details
File: dso_list (952 bytes, text/plain)
2013-08-09 19:08 EDT, Peter Gückel
no flags Details
File: environ (120 bytes, text/plain)
2013-08-09 19:08 EDT, Peter Gückel
no flags Details
File: exploitable (82 bytes, text/plain)
2013-08-09 19:08 EDT, Peter Gückel
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-09 19:08 EDT, Peter Gückel
no flags Details
File: maps (4.83 KB, text/plain)
2013-08-09 19:08 EDT, Peter Gückel
no flags Details
File: open_fds (465 bytes, text/plain)
2013-08-09 19:08 EDT, Peter Gückel
no flags Details
File: proc_pid_status (894 bytes, text/plain)
2013-08-09 19:08 EDT, Peter Gückel
no flags Details
File: var_log_messages (1010 bytes, text/plain)
2013-08-09 19:08 EDT, Peter Gückel
no flags Details
Screenshot of Gnome Control Center Audio Section (712.53 KB, image/png)
2014-02-23 17:06 EST, chrys87
no flags Details

  None (edit)
Description Peter Gückel 2013-08-09 19:07:54 EDT
Description of problem:
I have speech-dispatcherd.service configured to always start at system boot. As I started the system, a message appeared, stating at the daemon had failed  to start and that I should check systemctl status speech-dispatcherd.serice. I did so and learned what I already knew, that the daemon was not running, so I started it manually by issuing, as root, systemctl start speech-dispatcherd.service. After doing so, this error was generated and I opted to report it.

Version-Release number of selected component:
speech-dispatcher-0.8-3.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/lib64/speech-dispatcher-modules/sd_festival /etc/speech-dispatcher/modules/festival.conf
crash_function: pthread_cancel
executable:     /usr/lib64/speech-dispatcher-modules/sd_festival
kernel:         3.10.5-201.fc19.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
Thread no. 1 (3 frames)
 #0 pthread_cancel at pthread_cancel.c:34
 #1 module_terminate_thread at module_utils.c:826
 #2 module_close at festival.c:472
Comment 1 Peter Gückel 2013-08-09 19:07:57 EDT
Created attachment 785035 [details]
File: backtrace
Comment 2 Peter Gückel 2013-08-09 19:07:59 EDT
Created attachment 785036 [details]
File: cgroup
Comment 3 Peter Gückel 2013-08-09 19:08:02 EDT
Created attachment 785037 [details]
File: core_backtrace
Comment 4 Peter Gückel 2013-08-09 19:08:04 EDT
Created attachment 785038 [details]
File: dso_list
Comment 5 Peter Gückel 2013-08-09 19:08:07 EDT
Created attachment 785039 [details]
File: environ
Comment 6 Peter Gückel 2013-08-09 19:08:09 EDT
Created attachment 785040 [details]
File: exploitable
Comment 7 Peter Gückel 2013-08-09 19:08:11 EDT
Created attachment 785041 [details]
File: limits
Comment 8 Peter Gückel 2013-08-09 19:08:14 EDT
Created attachment 785042 [details]
File: maps
Comment 9 Peter Gückel 2013-08-09 19:08:16 EDT
Created attachment 785043 [details]
File: open_fds
Comment 10 Peter Gückel 2013-08-09 19:08:19 EDT
Created attachment 785044 [details]
File: proc_pid_status
Comment 11 Peter Gückel 2013-08-09 19:08:21 EDT
Created attachment 785045 [details]
File: var_log_messages
Comment 12 Igor Gnatenko 2013-09-10 13:28:00 EDT
Have this problem too.
Comment 13 Victor Costan 2013-09-26 06:32:47 EDT
Got this issue by trying to launch Orca on a freshly updated Fedora 20 installation.
Comment 14 Alexander Todorov 2013-10-10 06:49:13 EDT
Same for me on the latest Fedora 20 from today. 

Following this test case:
https://fedoraproject.org/wiki/QA:Testcase_Gnome_Accessibility

I just turned On/Off the Screen Reader setting and a while later ABRT popped up.
Comment 15 Wellington Poi 2013-10-10 13:17:22 EDT
I got the same error here while activating the screen reader.

Package speech-dispatcher-0.8-5.fc20.x86_64

Fedora 20
Comment 16 Peter Gückel 2013-10-23 10:44:49 EDT
This has not yet been resolved.
Comment 17 Matthias Clasen 2013-11-01 23:03:34 EDT
I believe what is happening here is that the festival 'module' subprocess is segfaulting, and that is causing systemd to think the service has failed.

If you start speech-dispatcher on the commandline, like this:

/usr/bin/speech-dispatcher -d

it happily starts up, and all the other modules end up running:

$ ps ax | grep speech
23349 pts/2    Sl     0:00 /usr/lib64/speech-dispatcher-modules/sd_dummy /etc/speech-dispatcher/modules/dummy.conf
23352 pts/2    Sl     0:00 /usr/lib64/speech-dispatcher-modules/sd_generic /etc/speech-dispatcher/modules/generic.conf
23355 pts/2    Sl     0:00 /usr/lib64/speech-dispatcher-modules/sd_flite /etc/speech-dispatcher/modules/flite.conf
23360 pts/2    Sl     0:00 /usr/lib64/speech-dispatcher-modules/sd_espeak /etc/speech-dispatcher/modules/espeak.conf
23365 pts/2    Sl     0:00 /usr/lib64/speech-dispatcher-modules/sd_cicero /etc/speech-dispatcher/modules/cicero.conf
23369 ?        Ssl    0:00 /usr/bin/speech-dispatcher -d

This includes the flite module, which is also for festival - maybe we just need to stop shipping the faulty festival module ?
Comment 18 Peter Gückel 2013-11-03 10:30:04 EST
I disabled the festival module and enabled the flite module in speakd.conf. I started jovie and had speech immediately. I don't know which module was speaking, espeak or flite, but there was speech without any messing around.

The festival module does appear to be the problem.

Curiously, when I run ps ax | grep speech, I get:

4050 ?        Ssl    0:00 /usr/bin/speech-dispatcher -d
4056 pts/1    S+     0:00 grep --color=auto speech

The modules are not shown, as in Comment 17.
Comment 20 Adam Williamson 2013-11-26 19:21:22 EST
Still happens on first launch of Orca in a clean F20 Final TC2+ (my pre-TC3 smoketest live image) install, but Orca does actually run and work.
Comment 21 Rudd-O DragonFear 2013-12-09 23:43:01 EST
All those stupid modules **should not be running to begin with** if they haven't been configured to run, each module is establishing a connection to PulseAudio and keeping it open even when they are quiet, which is completely ruining my digital out.   This is making me so angry.
Comment 22 Peter Robinson 2013-12-10 04:13:12 EST
(In reply to Rudd-O DragonFear from comment #21)
> All those stupid modules **should not be running to begin with** if they
> haven't been configured to run, each module is establishing a connection to
> PulseAudio and keeping it open even when they are quiet, which is completely
> ruining my digital out.   This is making me so angry.

And how is a blind person suppose to be able to use the computer by default if the primary means of them navigating is disabled by default? It's not all about you and I'm sure you, as someone who appears to be an able bodied person, are more than capable of disabling it if you don't need it.

This is off topic for the bug.
Comment 23 Adam Williamson 2013-12-12 06:54:54 EST
same bug happens when you run KDE's screen reader thingy too, FWIW - it's called 'Jovie' (because, I don't know, I guess GNOME doesn't have a monopoly on completely cryptic names for screen readers).
Comment 24 Jason Farrell 2013-12-18 00:57:30 EST
Ran into this when using the "Checker Plus for Gmail" Chrome extension, when it tries to read incoming email.
Comment 25 chrys87 2013-12-18 08:50:33 EST
Confirmed with F20.

I just surf in the Internet with epiphany and Orca enabled.
Comment 26 chrys87 2013-12-18 09:12:34 EST
For me this happens realy often and make normal work nearby impossible :/ (because often orca can not speak anymore).
Comment 27 Rudd-O DragonFear 2013-12-19 00:25:35 EST
ONLY the DEFAULT module, and perhaps other activated modules needs to be running.

I never thought my comment on running many, non-configured, modules would be spun into hatred for blind people.  Thanks for that!
Comment 28 Peque 2014-01-01 11:22:04 EST
Got this crash today in Fedora 20 when I launched Mumble (package "mumble" from the fedora repos). ABRT told me it was already reported here.

I was also listening to some music and the music stopped playing, until I closed Mumble (that may be another problem).
Comment 29 Michael Schwendt 2014-01-19 15:38:49 EST
Got this crash today in F20 when testing GNOME Shell > Universal Access > Screen Reader -> ON.

$ rpm -qa speech\*
speech-dispatcher-0.8-5.fc20.x86_64
Comment 30 ILMostro 2014-02-03 13:01:50 EST
F20 startup "systemctl start gdm.service" from commandline tty1: while using internet browser, well after startup, ABRT says "speech-dispatcher crashed" "sd_festival killed by SIGSEGV".  I know I have festival installed; I hadn't realized that it was "enabled" to be running in the background.  I don't even use it, or any other speech-synthesis program.
Comment 31 Christopher Meng 2014-02-06 22:50:02 EST
Still crashed, rawhide.
Comment 32 Christopher Meng 2014-02-06 22:55:27 EST
I decide to report this to upstream directly and prepare a small patch later.
Comment 33 chrys87 2014-02-23 17:06:48 EST
Created attachment 866788 [details]
Screenshot of Gnome Control Center  Audio Section

I hope this is solved soon. :/. fedora and speech-dispatcher is a mess.
but i need this so for my orca :/.
Comment 34 ILMostro 2014-02-27 15:52:37 EST
Once again, festival crashed while signing in to espn3.com through comcast's "WatchTV" site.  I have no idea why, since I DON'T USE FESTIVAL, or any other screen reader! Should I just disable pulseaudio? Are there any workarounds for this, if not a working solution? Thanks.
Comment 35 Adam Williamson 2014-02-27 15:57:09 EST
'yum remove festival'?
Comment 36 csouth3 2014-03-02 23:43:56 EST
Happens everytime I go to a video streaming website (such as www.twitch.tv) and begin watching a video stream.
Comment 37 Peter Gückel 2014-03-04 02:19:06 EST
Since Comment #18, I have not kept up with this. I had good results then, but did not test it extensively. I hope to get back to it soon and will report my findings.
Comment 38 Peter Robinson 2014-03-04 02:25:51 EST
(In reply to ILMostro from comment #34)
> Once again, festival crashed while signing in to espn3.com through comcast's
> "WatchTV" site.  I have no idea why, since I DON'T USE FESTIVAL, or any
> other screen reader! Should I just disable pulseaudio? Are there any
> workarounds for this, if not a working solution? Thanks.

Disable or remomve orca or what ever screen reader you use and you should be good. I'm looking at a fix for speechd or festival to fix this. Upstream development is a little slow
Comment 39 Peter Gückel 2014-03-04 23:32:40 EST
I started trying speech-dispatcherd.service out again today. I ran:

sudo systemctl enable speech-dispatcherd.service

in order to have s-d start automatically whenever I boot the computer.

After logging in, I ran:

sudo systemctl status speech-dispatcherd.service

The results were not good:

speech-dispatcherd.service - Speech-Dispatcher an high-level device independent layer for speech synthesis.
   Loaded: loaded (/usr/lib/systemd/system/speech-dispatcherd.service; enabled)
   Active: failed (Result: exit-code) since Tue 2014-03-04 21:21:40 MST; 1min 3s ago
  Process: 2051 ExecStart=/usr/bin/speech-dispatcher -d (code=exited, status=1/FAILURE)

Mar 04 21:21:40 desk.home systemd[1]: Starting Speech-Dispatcher an high-level device independent layer for speech synthesis....
Mar 04 21:21:40 desk.home speech-dispatcher[2051]: [Tue Mar  4 21:21:40 2014 : 295879] speechd: Speech Dispatcher 0.8 starting
Mar 04 21:21:40 desk.home speech-dispatcher[2051]: [Tue Mar  4 21:21:40 2014 : 297363] speechd: Can't create pid file in /root/.cache/speech-dispatcher/pid/speech-dispatcher.pid, wrong permissions?
Mar 04 21:21:40 desk.home speech-dispatcher[2051]: Can't create pid file in /root/.cache/speech-dispatcher/pid/speech-dispatcher.pid, wrong permissions?
Mar 04 21:21:40 desk.home systemd[1]: speech-dispatcherd.service: control process exited, code=exited status=1
Mar 04 21:21:40 desk.home systemd[1]: Failed to start Speech-Dispatcher an high-level device independent layer for speech synthesis..
Mar 04 21:21:40 desk.home systemd[1]: Unit speech-dispatcherd.service entered failed state.

I am unable to start s-d at all.

Just so that you know, I am running:

speech-dispatcher-0.8-5.fc20

The only modules I have enabled are:

espeak
Comment 40 Peter Gückel 2014-03-05 00:09:49 EST
This system is very confusing! Although the speech-dispatcher daemon is NOT RUNNING, I can start jovie and the clipboard or a file will be read!

Note that I had to further modify the speechd.conf file in the following way:

LanguageDefaultModule "en"  "espeak"
LanguageDefaultModule "cs"  "espeak"
LanguageDefaultModule "es"  "espeak"

I changed all of them to espeak and uncommented them, since I had gotten an error when starting jovie, stating that sd_festival had crashed, even though festival is NOT an enabled module (see Comment #39). I presumed that it was somehow getting pulled in by the cs and es lines, that are set to festival by default. The error appears to have ceased.
Comment 41 Peter Gückel 2014-03-12 01:00:41 EDT
I was wrong about what I said in Comment #39: the error message that sd_festival has crashed STILL DOES occur.

I was using ocular to display a document. I noticed that the commands to speak the whole document and to speak the current page were again present (I had searched in vain for these commands a few months back). As soon as I clicked 'speak current page', an error about sd_festival crashing was generated, but the page was spoken anyway!
Comment 42 davidzgumberg 2014-03-24 16:36:17 EDT
Well this may not have to do with orca, because one of the first things I did on my f20 install is remove orca, but I just noticed this error in ABRT, sent it, and got pinged because I was CC'ed.
Comment 43 Adam Williamson 2014-03-24 16:40:13 EDT
The bug is commonly triggered by orca, but it is indeed really a bug in speech-dispatcher, and can be triggered by other things that use s-d.
Comment 44 Mihai Maruseac 2014-03-31 12:32:35 EDT
It also happens on Linux, Fedora 20. Not only on Mac OS
Comment 45 csouth3 2014-03-31 18:45:41 EDT
I'm still getting this bug often and seemingly randomly.  It's also on F20, not just Mac.
Comment 46 Adam Williamson 2014-04-10 16:48:14 EDT
*** Bug 1048739 has been marked as a duplicate of this bug. ***
Comment 47 lnie 2014-07-01 04:07:14 EDT
Just turn on and off the Screen  Reader on Universal Access Panel

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/lib64/speech-dispatcher-modules/sd_festival /etc/speech-dispatcher/modules/festival.conf
crash_function: pthread_cancel
executable:     /usr/lib64/speech-dispatcher-modules/sd_festival
kernel:         3.11.10-301.fc20.x86_64
package:        speech-dispatcher-0.8-5.fc20
reason:         Process /usr/lib64/speech-dispatcher-modules/sd_festival was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 48 Peter Gückel 2014-11-13 13:07:20 EST
This is just ancient and I, the reporter, have experienced no problems for so long that I can't even recall why I opened this in the first place. I have also migrated (clean install) to Fedora 21, so this is outdated.

Note You need to log in before you can comment on or make changes to this bug.